Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.job.opstatus
Class OperationalStatusMonitorJob

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          com.sun.management.oss.impl.job.MonitorJob
              com.sun.management.oss.impl.job.ByClassesMonitorJob
                  com.sun.management.oss.impl.job.opstatus.OperationalStatusMonitorJob

All Implemented Interfaces:
  java.util.EventListener, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.NotificationListener, java.lang.Runnable

public class OperationalStatusMonitorJob
extends ByClassesMonitorJob

Field Summary

Fields inherited from class com.sun.management.oss.impl.job.MonitorJob
`ACTIVE_OFF_DUTY, ACTIVE_ON_DUTY, SUSPENDED`

Constructor Summary
`OperationalStatusMonitorJob(JmxJVTOperationalStatusMonitorSession factory, OperationalStatusMonitorValue pmValue, ReportInformation reportInformation, OperationalStatusGenericModel model, javax.management.MBeanServer server, java.util.Properties properties)`

Method Summary
`java.lang.String` | `getCurrentResultReport()` Forces a report generation (immediate measurement).
`OperationalStatusMonitorValue` | `getOperationalStatusMonitorValue()` Returns the OperationalStatusMonitorValue instance of this monitor job.
`void` | `handleNotification(javax.management.Notification notification, java.lang.Object handback)` Handles events from monitored objects that are event providers.

Methods inherited from class com.sun.management.oss.impl.job.MonitorJob
`begin, getNotificationInfo, quit, resume, run, stop, suspend`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationalStatusMonitorJob

    public OperationalStatusMonitorJob(JmxJVTOperationalStatusMonitorSession factory,
                                       OperationalStatusMonitorValue pmValue,
                                       ReportInformation reportInformation,
                                       OperationalStatusGenericModel model,
                                       javax.management.MBeanServer server,
                                       java.util.Properties properties)

Parameters:
  `factory` - the factory
  `pmValue` - the monitor value
  `reportInformation` - byFile report deleter
  `model` - model that prodives facilities to retreive data
  `server` - MBeanServer
  `properties` - property file.

Method Detail

### getCurrentResultReport

    public java.lang.String getCurrentResultReport()

  Forces a report generation (immediate measurement).

  Returns:
    an XML representation of an immediate data collection.

### getOperationalStatusMonitorValue

    public OperationalStatusMonitorValue getOperationalStatusMonitorValue()

  Returns the OperationalStatusMonitorValue instance of this monitor job.

  Returns:
    the OperationalStatusMonitorValue instance of this monitor job.

### handleNotification

    public void handleNotification(javax.management.Notification notification,
                                   java.lang.Object handback)

  Handles events from monitored objects that are event providers. A report is created for the emitter according to the notification type.

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`
  Overrides:
    `handleNotification` in class `ByClassesMonitorJob`
  Parameters:
    `notification` - the notification instance
    `handback` - handback

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD